TICKIT_TERM_SET_UTF8(3)

NAME
tickit_term_set_utf8, tickit_term_get_utf8 - control UTF-8 mode

SYNOPSIS
    #include <tickit.h>

    void tickit_term_set_utf8(TickitTerm *tt, bool utf8);
    TickitMaybeBool tickit_term_get_utf8(TickitTerm *tt);

Link with -ltickit.

DESCRIPTION
tickit_term_set_utf8() controls whether terminal input is processed according to UTF-8 rules, or legacy 8-bit single byte rules. If this function is not called explicitly, it will be detected automatically by inspecting locale variables.

tickit_term_get_utf8() returns the current value for UTF-8 support as TICKIT_YES or TICKIT_NO, or TICKIT_MAYBE if the value is not yet known and has not been explicitly set.

RETURN VALUE
tickit_term_set_utf8() returns no value. tickit_term_get_utf8() returns a TickitMaybeBool tri-state boolean value.

SEE ALSO
tickit_term_build(3), tickit_term(7), tickit(7)